(function (define) {
	if (typeof define !== 'function') {
		var define = require('amdefine')(module);
	}

	define(['exports', './loadCoverage', './remap', './writeReport', '../utils/node!istanbul/lib/store/memory'], function (exports, _loadCoverage, _remap, _writeReport, _memory) {
		'use strict';

		Object.defineProperty(exports, "__esModule", {
			value: true
		});

		exports.default = function (sources, reports, reportOptions) {
			var sourceStore = new _memory2.default();
			var collector = (0, _remap2.default)((0, _loadCoverage2.default)(sources), {
				sources: sourceStore
			});

			if (!Object.keys(sourceStore.map).length) {
				sourceStore = undefined;
			}

			return Promise.all(Object.keys(reports).map(function (reportType) {
				return (0, _writeReport2.default)(collector, reportType, reportOptions || {}, reports[reportType], sourceStore);
			}));
		};

		var _loadCoverage2 = _interopRequireDefault(_loadCoverage);

		var _remap2 = _interopRequireDefault(_remap);

		var _writeReport2 = _interopRequireDefault(_writeReport);

		var _memory2 = _interopRequireDefault(_memory);

		function _interopRequireDefault(obj) {
			return obj && obj.__esModule ? obj : {
				default: obj
			};
		}

		;

		/**
   * The basic API for utilising remap-istanbul
   * @param  {Array|string} sources The sources that could be consumed and remapped.
   *                                For muliple sources to be combined together, provide
   *                                an array of strings.
   * @param  {Object} reports An object where each key is the report type required and the value
   *                          is the destination for the report.
   * @param  {Object} reportOptions? An object containing the report options.
   * @return {Promise}         A promise that will resolve when all the reports are written.
   */
		/* jshint node:true */
		/* global Promise */
	});
})(define);
//# sourceMappingURL=main.js.map