(function (define) {
	if (typeof define !== 'function') {
		var define = require('amdefine')(module);
	}

	define(["exports"], function (exports) {
		"use strict";

		Object.defineProperty(exports, "__esModule", {
			value: true
		});
		exports.default = remapFunction;
		function remapFunction(genItem, getMapping) {
			var mapping = getMapping(genItem.loc);

			if (!mapping) {
				return null;
			}

			var srcItem = {
				name: genItem.name,
				line: mapping.loc.start.line,
				loc: mapping.loc
			};

			if (genItem.skip) {
				srcItem.skip = genItem.skip;
			}

			return { srcItem: srcItem, source: mapping.source };
		}
	});
})(define);
//# sourceMappingURL=remapFunction.js.map